package ru.ulstu.extractor.controller;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import ru.ulstu.extractor.repository.RepositoryRepository;

@Controller
public class BaseIndexingController {
    private final RepositoryRepository repositoryRepository;

    public BaseIndexingController(RepositoryRepository repositoryRepository) {
        this.repositoryRepository = repositoryRepository;
    }

    @GetMapping("/indexRepo")
    public String indexNewRepo(Model model) {
        model.addAttribute("repositories", repositoryRepository.findAll());
        return "indexRepo";
    }
}
